Subject: Re: [PATCH] Revert "Bluetooth: Update resolving list when updating whitelist"

From: Greg Kroah-Hartman <[email-masked]>
Date: Sun, 4 Oct 2020 12:51:24 +0200

On Sat, Oct 03, 2020 at 08:33:18PM +0200, Marcel Holtmann wrote:
> Hi Greg,
> 
> >>> This reverts commit 0eee35bdfa3b472cc986ecc6ad76293fdcda59e2 as it
> >>> breaks all bluetooth connections on my machine.
> >>> 
> >>> Cc: Marcel Holtmann <[email-masked]>
> >>> Cc: Sathish Narsimman <[email-masked]>
> >>> Fixes: 0eee35bdfa3b ("Bluetooth: Update resolving list when updating whitelist")
> >>> Signed-off-by: Greg Kroah-Hartman <[email-masked]>
> >>> ---
> >>> net/bluetooth/hci_request.c | 41 ++-----------------------------------
> >>> 1 file changed, 2 insertions(+), 39 deletions(-)
> >>> 
> >>> This has been bugging me for since 5.9-rc1, when all bluetooth devices
> >>> stopped working on my desktop system.  I finally got the time to do
> >>> bisection today, and it came down to this patch.  Reverting it on top of
> >>> 5.9-rc7 restored bluetooth devices and now my input devices properly
> >>> work.
> >>> 
> >>> As it's almost 5.9-final, any chance this can be merged now to fix the
> >>> issue?
> >> 
> >> can you be specific what breaks since our guys and I also think the
> >> ChromeOS guys have been testing these series of patches heavily.
> > 
> > My bluetooth trackball does not connect at all.  With this reverted, it
> > all "just works".
> > 
> > Same I think for a Bluetooth headset, can check that again if you really
> > need me to, but the trackball is reliable here.
> > 
> >> When you run btmon does it indicate any errors?
> > 
> > How do I run it and where are the errors displayed?
> 
> you can do btmon -w trace.log and just let it run like tcdpump.

Ok, attached.

The device is not connecting, and then I open the gnome bluetooth dialog
and it scans for devices in the area, but does not connect to my
existing devices at all.

Any ideas?

thanks,

greg k-h